Merge requirement
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{id}/merge \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"into_id": 123
}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({into_id: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{id}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{id}/merge"
payload = { "into_id": 123 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"category": "<string>",
"id": 123,
"display_id": 123,
"account_id": 123,
"requirement_type": "<string>",
"status": "<string>",
"priority": "<string>",
"source": "<string>",
"title": "<string>",
"description": "<string>",
"responsible_party": "<string>",
"approval_status": "<string>",
"cost_estimate": 123,
"property_id": 123,
"conversation_id": 123,
"assignee_id": 123,
"reporter_contact_id": 123,
"duplicate_of_id": 123,
"approval_required": true,
"sign_off_required": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Requirements
Merge requirement
Mark this requirement as a duplicate of another. Returns the canonical requirement whose follower contacts now include this reporter.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
requirements
/
{id}
/
merge
Merge requirement
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{id}/merge \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"into_id": 123
}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({into_id: 123})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{id}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{id}/merge"
payload = { "into_id": 123 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"category": "<string>",
"id": 123,
"display_id": 123,
"account_id": 123,
"requirement_type": "<string>",
"status": "<string>",
"priority": "<string>",
"source": "<string>",
"title": "<string>",
"description": "<string>",
"responsible_party": "<string>",
"approval_status": "<string>",
"cost_estimate": 123,
"property_id": 123,
"conversation_id": 123,
"assignee_id": 123,
"reporter_contact_id": 123,
"duplicate_of_id": 123,
"approval_required": true,
"sign_off_required": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the duplicate requirement
The numeric ID of the account
Body
application/json
ID of the canonical requirement
Response
Success
Public category resolved by the account country catalog; display labels are localized by the client.